  '
  'these are selected for viewing by the main number keys 1..9
  'add 10 by holding down shift key
  'add 20 by holding down ctrl  key
  'add 30 by holding down ctrl+shift  keys
  '
  '
  '===================
  select case SceneNum
  '===================


  case 0
  '=====
  '
  picklabel 1
  glCallList drawingList 1 'Torus

  case 1
  '=====
  '
  picklabel 1
  glCallList drawingList 5 'Toroid

  '
  case 2
  '=====
  '
  picklabel 1
  glCallList drawingList 1 'Torus
  picklabel 2
  glCallList drawingList 2 'Cylinder
  '
  picklabel 3
  glTranslatef 1.5, .75, 0
  glScalef .25, 0.5, .25
  glCallList drawingList 2 'Cylinder

  ' 
  '
  case 3
  '=====
  '
  picklabel 1
  glCallList drawingList 4
  '
  '
  case 4
  '=====
  '
  picklabel 1
  if reqtex then glEnable GL_TEXTURE_2D
  'DrawGauss()
  'DrawNoisyGauss()
  glCallList drawingList 4
  if reqtex then glDisable GL_TEXTURE_2D
  '
  '
  case 5
  '=====
  '
  glpushmatrix
  gltranslatef -2,-1,0
  glCallList drawingList 12 'Tower Blocks
  glpopmatrix
  '
  '
  case 6
  '=====
  '
  picklabel 1
  glCallList drawingList 7
  '
  '
  case 7
  '=====
  '
  picklabel 1
  'glCallList drawingList 1 'Torus
  picklabel 2
  glpushmatrix
  glscalef 1,.5,1
  glCallList drawingList 8 '
  glpopmatrix
  '
  picklabel 3
  glTranslatef 1.5, .0, 0
  glpushmatrix
  glScalef .25, 0.5, .25
  glCallList drawingList 8 '
  glpopmatrix
  '
  picklabel 4
  glTranslatef 0.0, 0, -1
  glpushmatrix
  glScalef .25, 0.5, .25
  glCallList drawingList 8 '
  glpopmatrix
  '
  picklabel 5
  glTranslatef 0.0, 0, +2
  glpushmatrix
  glScalef .25, 0.5, .25
  glCallList drawingList 8 '
  glpopmatrix
  '
  picklabel 6
  glTranslatef -3.0, .0, -1
  glpushmatrix
  glScalef .25, 0.5, .25
  glCallList drawingList 8 '
  glpopmatrix
  '
  picklabel 7
  glTranslatef 0.0, 0, -1
  glpushmatrix
  glScalef .25, 0.5, .25
  glCallList drawingList 8 '
  glpopmatrix
  '
  picklabel 8
  glTranslatef 0.0, 0, +2
  glpushmatrix
  glScalef .25, 0.5, .25
  glCallList drawingList 8 '
  glpopmatrix
  '
  picklabel 9
  glTranslatef 0, -.3, -1
  glpushmatrix
  glScalef .25, 0.25, .25
  glrotatef 90,0,1,0
  glCallList drawingList 9 '
  glpopmatrix
  '
  picklabel 10
  glTranslatef 3, 0, 0
  glpushmatrix
  glScalef .5, 0.5, .25
  glrotatef 90,0,1,0
  glCallList drawingList 9 '
  glpopmatrix

  '
  case 8
  '=====
  '
  picklabel 1
  glpushmatrix
  glScalef 1.618, 1, 1.618
  glCallList drawingList 14
  glpopmatrix
  '
  '
    
  '=========
  end select
  '=========
  '
  picklabel 0
